[android-components](../../../../index.md) / [mozilla.components.concept.engine.manifest](../../../index.md) / [WebAppManifest](../../index.md) / [ExternalApplicationResource](../index.md) / [Fingerprint](./index.md)

# Fingerprint

`data class Fingerprint` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/engine/src/main/java/mozilla/components/concept/engine/manifest/WebAppManifest.kt#L190)

Represents a set of cryptographic fingerprints used for verifying the application.
The syntax and semantics of [type](type.md) and [value](value.md) are platform-defined.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `Fingerprint(type: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`, value: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`)`<br>Represents a set of cryptographic fingerprints used for verifying the application. The syntax and semantics of [type](type.md) and [value](value.md) are platform-defined. |

### Properties

| Name | Summary |
|---|---|
| [type](type.md) | `val type: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
| [value](value.md) | `val value: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
